package com.dgtis.dorm.manager.db.domain;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

public class AlumniOrganizeExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public AlumniOrganizeExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrganizeNameIsNull() {
            addCriterion("organize_name is null");
            return (Criteria) this;
        }

        public Criteria andOrganizeNameIsNotNull() {
            addCriterion("organize_name is not null");
            return (Criteria) this;
        }

        public Criteria andOrganizeNameEqualTo(String value) {
            addCriterion("organize_name =", value, "organizeName");
            return (Criteria) this;
        }

        public Criteria andOrganizeNameNotEqualTo(String value) {
            addCriterion("organize_name <>", value, "organizeName");
            return (Criteria) this;
        }

        public Criteria andOrganizeNameGreaterThan(String value) {
            addCriterion("organize_name >", value, "organizeName");
            return (Criteria) this;
        }

        public Criteria andOrganizeNameGreaterThanOrEqualTo(String value) {
            addCriterion("organize_name >=", value, "organizeName");
            return (Criteria) this;
        }

        public Criteria andOrganizeNameLessThan(String value) {
            addCriterion("organize_name <", value, "organizeName");
            return (Criteria) this;
        }

        public Criteria andOrganizeNameLessThanOrEqualTo(String value) {
            addCriterion("organize_name <=", value, "organizeName");
            return (Criteria) this;
        }

        public Criteria andOrganizeNameLike(String value) {
            addCriterion("organize_name like", value, "organizeName");
            return (Criteria) this;
        }

        public Criteria andOrganizeNameNotLike(String value) {
            addCriterion("organize_name not like", value, "organizeName");
            return (Criteria) this;
        }

        public Criteria andOrganizeNameIn(List<String> values) {
            addCriterion("organize_name in", values, "organizeName");
            return (Criteria) this;
        }

        public Criteria andOrganizeNameNotIn(List<String> values) {
            addCriterion("organize_name not in", values, "organizeName");
            return (Criteria) this;
        }

        public Criteria andOrganizeNameBetween(String value1, String value2) {
            addCriterion("organize_name between", value1, value2, "organizeName");
            return (Criteria) this;
        }

        public Criteria andOrganizeNameNotBetween(String value1, String value2) {
            addCriterion("organize_name not between", value1, value2, "organizeName");
            return (Criteria) this;
        }

        public Criteria andOrganizeTypeIsNull() {
            addCriterion("organize_type is null");
            return (Criteria) this;
        }

        public Criteria andOrganizeTypeIsNotNull() {
            addCriterion("organize_type is not null");
            return (Criteria) this;
        }

        public Criteria andOrganizeTypeEqualTo(String value) {
            addCriterion("organize_type =", value, "organizeType");
            return (Criteria) this;
        }

        public Criteria andOrganizeTypeNotEqualTo(String value) {
            addCriterion("organize_type <>", value, "organizeType");
            return (Criteria) this;
        }

        public Criteria andOrganizeTypeGreaterThan(String value) {
            addCriterion("organize_type >", value, "organizeType");
            return (Criteria) this;
        }

        public Criteria andOrganizeTypeGreaterThanOrEqualTo(String value) {
            addCriterion("organize_type >=", value, "organizeType");
            return (Criteria) this;
        }

        public Criteria andOrganizeTypeLessThan(String value) {
            addCriterion("organize_type <", value, "organizeType");
            return (Criteria) this;
        }

        public Criteria andOrganizeTypeLessThanOrEqualTo(String value) {
            addCriterion("organize_type <=", value, "organizeType");
            return (Criteria) this;
        }

        public Criteria andOrganizeTypeLike(String value) {
            addCriterion("organize_type like", value, "organizeType");
            return (Criteria) this;
        }

        public Criteria andOrganizeTypeNotLike(String value) {
            addCriterion("organize_type not like", value, "organizeType");
            return (Criteria) this;
        }

        public Criteria andOrganizeTypeIn(List<String> values) {
            addCriterion("organize_type in", values, "organizeType");
            return (Criteria) this;
        }

        public Criteria andOrganizeTypeNotIn(List<String> values) {
            addCriterion("organize_type not in", values, "organizeType");
            return (Criteria) this;
        }

        public Criteria andOrganizeTypeBetween(String value1, String value2) {
            addCriterion("organize_type between", value1, value2, "organizeType");
            return (Criteria) this;
        }

        public Criteria andOrganizeTypeNotBetween(String value1, String value2) {
            addCriterion("organize_type not between", value1, value2, "organizeType");
            return (Criteria) this;
        }

        public Criteria andOrganizeUserIdIsNull() {
            addCriterion("organize_user_id is null");
            return (Criteria) this;
        }

        public Criteria andOrganizeUserIdIsNotNull() {
            addCriterion("organize_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrganizeUserIdEqualTo(Integer value) {
            addCriterion("organize_user_id =", value, "organizeUserId");
            return (Criteria) this;
        }

        public Criteria andOrganizeUserIdNotEqualTo(Integer value) {
            addCriterion("organize_user_id <>", value, "organizeUserId");
            return (Criteria) this;
        }

        public Criteria andOrganizeUserIdGreaterThan(Integer value) {
            addCriterion("organize_user_id >", value, "organizeUserId");
            return (Criteria) this;
        }

        public Criteria andOrganizeUserIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("organize_user_id >=", value, "organizeUserId");
            return (Criteria) this;
        }

        public Criteria andOrganizeUserIdLessThan(Integer value) {
            addCriterion("organize_user_id <", value, "organizeUserId");
            return (Criteria) this;
        }

        public Criteria andOrganizeUserIdLessThanOrEqualTo(Integer value) {
            addCriterion("organize_user_id <=", value, "organizeUserId");
            return (Criteria) this;
        }

        public Criteria andOrganizeUserIdIn(List<Integer> values) {
            addCriterion("organize_user_id in", values, "organizeUserId");
            return (Criteria) this;
        }

        public Criteria andOrganizeUserIdNotIn(List<Integer> values) {
            addCriterion("organize_user_id not in", values, "organizeUserId");
            return (Criteria) this;
        }

        public Criteria andOrganizeUserIdBetween(Integer value1, Integer value2) {
            addCriterion("organize_user_id between", value1, value2, "organizeUserId");
            return (Criteria) this;
        }

        public Criteria andOrganizeUserIdNotBetween(Integer value1, Integer value2) {
            addCriterion("organize_user_id not between", value1, value2, "organizeUserId");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("create_date is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("create_date is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(LocalDateTime value) {
            addCriterion("create_date =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(LocalDateTime value) {
            addCriterion("create_date <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(LocalDateTime value) {
            addCriterion("create_date >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("create_date >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(LocalDateTime value) {
            addCriterion("create_date <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("create_date <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<LocalDateTime> values) {
            addCriterion("create_date in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<LocalDateTime> values) {
            addCriterion("create_date not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("create_date between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("create_date not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andIsDeleteIsNull() {
            addCriterion("is_delete is null");
            return (Criteria) this;
        }

        public Criteria andIsDeleteIsNotNull() {
            addCriterion("is_delete is not null");
            return (Criteria) this;
        }

        public Criteria andIsDeleteEqualTo(Boolean value) {
            addCriterion("is_delete =", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteNotEqualTo(Boolean value) {
            addCriterion("is_delete <>", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteGreaterThan(Boolean value) {
            addCriterion("is_delete >", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteGreaterThanOrEqualTo(Boolean value) {
            addCriterion("is_delete >=", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteLessThan(Boolean value) {
            addCriterion("is_delete <", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteLessThanOrEqualTo(Boolean value) {
            addCriterion("is_delete <=", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteIn(List<Boolean> values) {
            addCriterion("is_delete in", values, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteNotIn(List<Boolean> values) {
            addCriterion("is_delete not in", values, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteBetween(Boolean value1, Boolean value2) {
            addCriterion("is_delete between", value1, value2, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteNotBetween(Boolean value1, Boolean value2) {
            addCriterion("is_delete not between", value1, value2, "isDelete");
            return (Criteria) this;
        }

        public Criteria andOrganizeMemoIsNull() {
            addCriterion("organize_memo is null");
            return (Criteria) this;
        }

        public Criteria andOrganizeMemoIsNotNull() {
            addCriterion("organize_memo is not null");
            return (Criteria) this;
        }

        public Criteria andOrganizeMemoEqualTo(String value) {
            addCriterion("organize_memo =", value, "organizeMemo");
            return (Criteria) this;
        }

        public Criteria andOrganizeMemoNotEqualTo(String value) {
            addCriterion("organize_memo <>", value, "organizeMemo");
            return (Criteria) this;
        }

        public Criteria andOrganizeMemoGreaterThan(String value) {
            addCriterion("organize_memo >", value, "organizeMemo");
            return (Criteria) this;
        }

        public Criteria andOrganizeMemoGreaterThanOrEqualTo(String value) {
            addCriterion("organize_memo >=", value, "organizeMemo");
            return (Criteria) this;
        }

        public Criteria andOrganizeMemoLessThan(String value) {
            addCriterion("organize_memo <", value, "organizeMemo");
            return (Criteria) this;
        }

        public Criteria andOrganizeMemoLessThanOrEqualTo(String value) {
            addCriterion("organize_memo <=", value, "organizeMemo");
            return (Criteria) this;
        }

        public Criteria andOrganizeMemoLike(String value) {
            addCriterion("organize_memo like", value, "organizeMemo");
            return (Criteria) this;
        }

        public Criteria andOrganizeMemoNotLike(String value) {
            addCriterion("organize_memo not like", value, "organizeMemo");
            return (Criteria) this;
        }

        public Criteria andOrganizeMemoIn(List<String> values) {
            addCriterion("organize_memo in", values, "organizeMemo");
            return (Criteria) this;
        }

        public Criteria andOrganizeMemoNotIn(List<String> values) {
            addCriterion("organize_memo not in", values, "organizeMemo");
            return (Criteria) this;
        }

        public Criteria andOrganizeMemoBetween(String value1, String value2) {
            addCriterion("organize_memo between", value1, value2, "organizeMemo");
            return (Criteria) this;
        }

        public Criteria andOrganizeMemoNotBetween(String value1, String value2) {
            addCriterion("organize_memo not between", value1, value2, "organizeMemo");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdIsNull() {
            addCriterion("auth_user_id is null");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdIsNotNull() {
            addCriterion("auth_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdEqualTo(Integer value) {
            addCriterion("auth_user_id =", value, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdNotEqualTo(Integer value) {
            addCriterion("auth_user_id <>", value, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdGreaterThan(Integer value) {
            addCriterion("auth_user_id >", value, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("auth_user_id >=", value, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdLessThan(Integer value) {
            addCriterion("auth_user_id <", value, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdLessThanOrEqualTo(Integer value) {
            addCriterion("auth_user_id <=", value, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdIn(List<Integer> values) {
            addCriterion("auth_user_id in", values, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdNotIn(List<Integer> values) {
            addCriterion("auth_user_id not in", values, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdBetween(Integer value1, Integer value2) {
            addCriterion("auth_user_id between", value1, value2, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdNotBetween(Integer value1, Integer value2) {
            addCriterion("auth_user_id not between", value1, value2, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthDateIsNull() {
            addCriterion("auth_date is null");
            return (Criteria) this;
        }

        public Criteria andAuthDateIsNotNull() {
            addCriterion("auth_date is not null");
            return (Criteria) this;
        }

        public Criteria andAuthDateEqualTo(LocalDateTime value) {
            addCriterion("auth_date =", value, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateNotEqualTo(LocalDateTime value) {
            addCriterion("auth_date <>", value, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateGreaterThan(LocalDateTime value) {
            addCriterion("auth_date >", value, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("auth_date >=", value, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateLessThan(LocalDateTime value) {
            addCriterion("auth_date <", value, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("auth_date <=", value, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateIn(List<LocalDateTime> values) {
            addCriterion("auth_date in", values, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateNotIn(List<LocalDateTime> values) {
            addCriterion("auth_date not in", values, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("auth_date between", value1, value2, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("auth_date not between", value1, value2, "authDate");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdIsNull() {
            addCriterion("modify_user_id is null");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdIsNotNull() {
            addCriterion("modify_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdEqualTo(Integer value) {
            addCriterion("modify_user_id =", value, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdNotEqualTo(Integer value) {
            addCriterion("modify_user_id <>", value, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdGreaterThan(Integer value) {
            addCriterion("modify_user_id >", value, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("modify_user_id >=", value, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdLessThan(Integer value) {
            addCriterion("modify_user_id <", value, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdLessThanOrEqualTo(Integer value) {
            addCriterion("modify_user_id <=", value, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdIn(List<Integer> values) {
            addCriterion("modify_user_id in", values, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdNotIn(List<Integer> values) {
            addCriterion("modify_user_id not in", values, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdBetween(Integer value1, Integer value2) {
            addCriterion("modify_user_id between", value1, value2, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdNotBetween(Integer value1, Integer value2) {
            addCriterion("modify_user_id not between", value1, value2, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyDateIsNull() {
            addCriterion("modify_date is null");
            return (Criteria) this;
        }

        public Criteria andModifyDateIsNotNull() {
            addCriterion("modify_date is not null");
            return (Criteria) this;
        }

        public Criteria andModifyDateEqualTo(LocalDateTime value) {
            addCriterion("modify_date =", value, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateNotEqualTo(LocalDateTime value) {
            addCriterion("modify_date <>", value, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateGreaterThan(LocalDateTime value) {
            addCriterion("modify_date >", value, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("modify_date >=", value, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateLessThan(LocalDateTime value) {
            addCriterion("modify_date <", value, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("modify_date <=", value, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateIn(List<LocalDateTime> values) {
            addCriterion("modify_date in", values, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateNotIn(List<LocalDateTime> values) {
            addCriterion("modify_date not in", values, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("modify_date between", value1, value2, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("modify_date not between", value1, value2, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andCoverImageIsNull() {
            addCriterion("cover_image is null");
            return (Criteria) this;
        }

        public Criteria andCoverImageIsNotNull() {
            addCriterion("cover_image is not null");
            return (Criteria) this;
        }

        public Criteria andCoverImageEqualTo(Integer value) {
            addCriterion("cover_image =", value, "coverImage");
            return (Criteria) this;
        }

        public Criteria andCoverImageNotEqualTo(Integer value) {
            addCriterion("cover_image <>", value, "coverImage");
            return (Criteria) this;
        }

        public Criteria andCoverImageGreaterThan(Integer value) {
            addCriterion("cover_image >", value, "coverImage");
            return (Criteria) this;
        }

        public Criteria andCoverImageGreaterThanOrEqualTo(Integer value) {
            addCriterion("cover_image >=", value, "coverImage");
            return (Criteria) this;
        }

        public Criteria andCoverImageLessThan(Integer value) {
            addCriterion("cover_image <", value, "coverImage");
            return (Criteria) this;
        }

        public Criteria andCoverImageLessThanOrEqualTo(Integer value) {
            addCriterion("cover_image <=", value, "coverImage");
            return (Criteria) this;
        }

        public Criteria andCoverImageIn(List<Integer> values) {
            addCriterion("cover_image in", values, "coverImage");
            return (Criteria) this;
        }

        public Criteria andCoverImageNotIn(List<Integer> values) {
            addCriterion("cover_image not in", values, "coverImage");
            return (Criteria) this;
        }

        public Criteria andCoverImageBetween(Integer value1, Integer value2) {
            addCriterion("cover_image between", value1, value2, "coverImage");
            return (Criteria) this;
        }

        public Criteria andCoverImageNotBetween(Integer value1, Integer value2) {
            addCriterion("cover_image not between", value1, value2, "coverImage");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}